campagne:
  titre: "Grattage - Calendrier de l'avent CSE Crédit Mutuel - décembre 2024"
  adminFamille: "Module jeu avancé"
  description: "Dossier : email, acceptation règlement + jeu a gratter <br/>Pas de compte joueur<br/>"
  is_disponible: true
  configuration:
    has_participant: false
    has_tirage: true
    participation_init:
      setActeur: AUCUN
    notes:
      mini_lock_fe: 100
      maxi_purgek: 59
    include_commons: [20.tirage-std.yml, 90.sys_cms.yml]
  etapes:
    fe_home:
      action: dossier
      etape: coordonnees
      route: fe_home
    coordonnees:
      type: dossier
      route: fe_dossier
      desc: saisie email
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: creerParticipation
      lignes:
        5:
          type: text
          key: titre
          value: Calendrier de l'avent
          css: titre
          tag: h1
        10:
          type: form
          key: nom
          note: 40
          label: "Votre nom"
          form_config: {}
          form_validation:
            NotNull: ~
        20:
          type: form
          key: prenom
          note: 10
          label: "Votre prénom"
          form_config: {}
          form_validation:
            NotNull: ~
        30:
          type: form
          key: email
          note: 40
          label: "Votre email"
          form_config: {}
          form_validation:
            NotNull: ~
            Email: ~
        80:
          type: form
          key: isAccepte
          note: 10
          label: ""
          form_config:
            label: 'J''ai pris connaissance <a href="/medias/pdf_reglement/2412-reglement-CSE-CMUT.pdf" target="_blank">du règlement</a> et je l''accepte <small>(obligatoire)</small>'
          form_validation:
            IsTrue: { message: "Vous devez confirmer" }
        85:
          type: form
          key: extraBool1
          note: 1
          label: ""
          form_config:
            label: 'J''ai pris connaissance de l''information relative à la «<a href="javascript:void(0)" data-toggle="modal" data-target="#modalPddp">protection des données personnelles</a>»'
          form_validation:
            IsTrue: { message: "Vous devez confirmer" }
        90:
          type: reglement-btn
          key: reglement
          value: Règlement du jeu
          css: pull-right
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok pull-right
      etapes_suivantes:
        ok: gratter
    gratter:
      type: dossier
      route: fe_dossier
      desc: jeu a gratter
      init:
        preaction: [tirage, lockParticipation]
        requis:
          participation:
            getIsDossierLocked: false
        sinon: fe_home
      lignes:
        10:
          type: jeuagratter
          key: jeuagratter
          label: "pas de label"
          scratchcard:
            width: 500
            height: 480
        100:
          type: submit
          key: btnsubmit
          value: Suivant
          css: btn0 btn-ok0 d-none
      etapes_suivantes:
        ok: tirage
    tirage:
      type: redirect
      route: fe_tirage
      desc: tirage et redirection
      init:
        require:
          participation:
            getIsDossierLocked: false
      etapes_suivantes:
        perdant: lock_participation
        gagnant: amis
        gagnant_possible: amis
    lock_participation:
      type: redirect
      route: fe_lock_participation
      desc: tirage + coordonnées (si livraison physique) + validation de la participation et redirection
      lignes:
        10:
          type: cms
          key: coordonnees_physique
          default: "Veuillez compléter vos coordonnées afin que nous puissions vous faire parvenir votre lot.<br/><br/>"
        30:
          type: form
          key: nom
          label: "Nom"
          form_config: {}
          form_validation:
            NotNull: ~
        40:
          type: form
          key: prenom
          label: "Prénom"
          form_config: {}
          form_validation:
            NotNull: ~
        50:
          type: form
          key: adr1
          label: "Adresse"
          form_config: {}
          form_validation:
            NotNull: ~
        60:
          type: form
          key: adr2
          label: "Complément"
          form_config: {}
        70:
          type: form
          key: cp
          label: "Code postal"
          form_config: {}
          form_validation:
            NotNull: ~
        80:
          type: form
          key: ville
          label: "Ville"
          form_config: {}
          form_validation:
            NotNull: ~
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok pull-right
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: fe_home
      etapes_suivantes:
        perdant: perdant
        gagnant: gagnant
        tirage_impossible: tirage_impossible
    amis:
      type: dossier
      route: fe_dossier
      desc: saisie email amis
      init:
        requis:
          participation:
            getIsDossierLocked: false
        sinon: creerParticipation
      lignes:
        5:
          type: text
          key: titre
          value: Invitez vos amis
          css: titre
          tag: h1
        50:
          type: form
          key: adr1
          note: 0
          label: "Email de mon ami préféré"
          form_config: {}
          form_validation:
            NotNull: ~
        100:
          type: submit
          key: btnsubmit
          value: Valider
          css: btn btn-ok pull-right
      etapes_suivantes:
        ok: lock_participation
